Bug 147475 - [install] FreeBSD 8.x does not install on ASUS K8N4-E Mainboard
Summary: [install] FreeBSD 8.x does not install on ASUS K8N4-E Mainboard
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: i386 (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-i386 mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-04 17:20 UTC by Werner Lehmann
Modified: 2018-01-03 05:13 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Werner Lehmann 2010-06-04 17:20:03 UTC
Dear Sirs,

I would like to report a very serious Problem with FreeBSD since version 8.0:

On my machine with an K8N4-E Mainboard (Socket 754 for AMD Athlon 64/AMD Sempron with NVIDIA nForce 4-4X chipset) the installation fails very soon at the beginning with all versions of FreeBSD/i386 since 8.0 (also stable-snapshot and now 8.1-beta), while 7.2/i386 and 7.3 work flawlessly.
After booting from the Installation-CD the machine hangs with the following output:

acpi0:<Nvidia AWRDACPI> on motherboard
acpi0:[THREAD]
acpi0:Power Button (fixed)
acpi0:reservation of 0, a3000 (3) failed
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0:<24-bit timer at 3.579545 MHZ> port 0x4008-0x400b on acpi0
cpu0:<ACPI CPUS on acpi0
acpi_button0:<Power Button> on acpi0
pcib0:<ACPI Host-PCI bridge>port 0xcf8-0xctf on acpi0
pci0:<ACPI PCI bus> on pcib0


I should have reported this much earlier when 8.0 came out, but I thought many others would have that problem, too, as I don't think that I have uncommon hardware. But unfortunately, the problem still persists with 8.1-beta.
Do you think that this can still be fixed for the next 8.1-release?

Regards,

Werner Lehmann

How-To-Repeat: Just try to install FreeBSD 8.0/8.1-beta/i386 on a machine with the above mentioned mainboard.
Comment 1 Rebecca Cran freebsd_committer 2010-11-14 10:31:40 UTC
Could you try booting with verbose logging enabled (via the boot menu) and 
tell us what's displayed?
Comment 2 Bruce Cran freebsd_committer 2010-11-14 10:34:28 UTC
State Changed
From-To: open->feedback

Feedback was requested. 


Comment 3 Bruce Cran freebsd_committer 2010-11-14 10:34:28 UTC
Responsible Changed
From-To: freebsd-i386->freebsd-sysinstall

Over to maintainer(s).
Comment 4 Bruce Cran freebsd_committer 2010-11-14 20:01:20 UTC
State Changed
From-To: feedback->open

This looks like it might be a problem with probing USB. 
From the screenshot Werner sent: 

ohci0: <OHCI (generic) USB controller> at device 2.0 on pci0 
ohci0: Lazy allocation of 0x1000 bytes rid 0x10 type 3 at 0x80000000 
ohci0: Reserved 0x1000 bytes for rid 0x10 type 3 at 0x80000000 
pcib0: matched entry for 0.2.INTA (src _SB_.PCI0.APCF:0) 
pci_link21: Picked IRQ 23 with weight 0 
pcib0: slot 2 INTA routed to irq23 via _SB_.PCI0.APCF 
ioapic0: routing intpin 23 (PCI IRQ 23) to lapic 0 vector 49 
ohci0: [MPSAFE] 
ohci0: [ITHREAD] 
usbus0: SMM does not respond, resetting 
usbus0: reset timeout 
ohci0: USB init failed 
device_attach: ohci0 attach returned 6 
ehci0: <NVIDIA nForce4 USB 2.0 controller> at device 2.1 on pci0 
ehci0: Lazy allocation of 0x4000 bytes rid 0x10 type 3 at 0x80000000 
ehci0: Reserved 0x4000 bytes for rid 0x10 type 3 at 0x80000000 
pcib0: matched entry for 0.2.INTB (src _SB_.PCI0.APCL:0) 
pci_link27: Picked IRQ 20 with weight 1 
pcib0: slot 2 INTB routed to irq 20 via _SB_.PCI0.APCL 
ioapic0: routing intpin 20 (PCI IRQ 20) to lapic 0 vector 49 
ehci0: [MPSAFE] 
ehci0: [ITHREAD] 
[ system hangs ] 


Comment 5 Bruce Cran freebsd_committer 2010-11-14 20:01:20 UTC
Responsible Changed
From-To: freebsd-sysinstall->freebsd-usb

Over to maintainer(s). As explained in the state change section, this  
looks like it might be a problem with probing USB on 8.x.
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:22 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped